
BIN_DIR 	:= $(abspath $(CURDIR)/../bin)
PROTO_DIR 	:= $(abspath $(CURDIR)/../../src/proto)

CFLAGS 		:= -I$(abspath $(CURDIR)/../../src)

all: 
	gcc -g -o $(BIN_DIR)/ipc_echo_test ipc_echo_test.c
	gcc -g $(CFLAGS) -o $(BIN_DIR)/ipc_zvfs_test ipc_zvfs_test.c $(PROTO_DIR)/ipc_proto.c

clean:
	rm -rf $(BIN_DIR)/ipc_echo_test $(BIN_DIR)/ipc_zvfs_test